@import url(normalize.css);

body {
  background-color: #fff;
  font: normal 1rem "Source Sans Pro", sans-serif, Arial;
}

h1,
h2,
h3,
h4,
h5,
h6,
button {
  font-family: "Oswald", sans-serif;
}

main {
  background-color: #f9f9f9;
}

#app-container {
  max-width: 75rem;
  margin: 0 auto;
  position: relative;
}

.app-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.app-logo {
  width: 4rem;
  height: 4rem;
  object-fit: contain;
}

.app-logo--small {
  width: 1.25rem;
  height: 1.25rem;
  margin-right: 0.5rem;
}

.app-title {
  font-size: 3.25rem;
  line-height: 3.2rem;
  text-align: center;
}

.app-subtitle {
  font-size: 1.5rem;
  line-height: 1.625rem;
  font-weight: 300;
  text-align: center;
  font-family: "Source Sans Pro", sans-serif, Arial;
}

.app-section__button {
  background-color: #55c2d8;
  border: none;
  color: white;
  cursor: pointer;
  outline: none;
}

.app-header {
  background-color: transparent;
  margin-left: auto;
  margin-right: auto;
  min-height: 4rem;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1;
  display: grid;
  grid-template-columns: 0.5fr 1fr 0.5fr;
  padding: 0 8.75rem;
}

.app-header__logo {
  color: white;
  justify-self: flex-start;
  align-self: flex-end;
  font-size: initial;
  letter-spacing: 0.15rem;
  text-transform: uppercase;
  text-decoration: none;
}

.app-header__nav {
  display: inline-block;
}

.app-header__nav-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-column-gap: 2rem;
  justify-items: center;
  padding: 0;
  margin: 3.4375rem 0 0 0;
  list-style: none;
}

.app-header__nav-list-item {
  text-transform: uppercase;
  font-size: 0.75rem;
  letter-spacing: 0.15rem;
}

.app-header__nav-list-item a:hover {
  text-decoration: underline;
}

.app-header__nav-list-item a {
  color: white;
  text-decoration: none;
}

.app-header__nav-menu-button {
  display: none;
  background-color: transparent;
  border: 1px solid transparent;
  border-radius: 3px;
  box-sizing: content-box;
  color: white;
  cursor: pointer;
  font-size: 0;
  transition: all 0.25s ease-out;
  outline: none;
  padding: 0.375rem;
  position: relative;
  user-select: none;
}

.app-header__nav-menu-button-icon {
  width: 1.75rem;
  height: 1.125rem;
  position: relative;
  display: inline-block;
  font-size: 0;
}

.app-header__nav-menu-button-icon span {
  background-color: white;
  position: absolute;
  border-radius: 2px;
  transition: transform 0.5s ease-in-out;
  width: 100%;
  height: 2px;
  left: 0;
  transform: rotate(0);
}

.app-header__nav-menu-button-icon span:nth-child(1) {
  top: 0;
}

.app-header__nav-menu-button-icon span:nth-child(2) {
  top: 0.5rem;
  visibility: visible;
}

.app-header__nav-menu-button-icon span:nth-child(3) {
  bottom: 0;
}

.app-section--image-peak {
  background: linear-gradient(
      to top,
      rgba(65, 65, 65, 0.5),
      rgba(65, 65, 65, 0.5)
    ),
    url(../assets/images/your-image-here.jpg) no-repeat center/cover;
  height: 50rem;
  max-width: 100%;
  color: white;
}

.app-section__article {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 5.625rem;
  margin: 0 8.75rem;
  max-width: 28.25rem;
}

.app-section__button--read-more {
  border-radius: 1.625rem;
  font-size: 0.875rem;
  height: 2.875rem;
  letter-spacing: 1.2px;
  margin: 3.75rem auto 6.75rem;
  text-transform: uppercase;
  width: 8.4375rem;
}

.app-section--image-culture {
  background: linear-gradient(
      to top,
      rgba(65, 65, 65, 0.7),
      rgba(65, 65, 65, 0.7)
    ),
    url(../assets/images/your-image.jpg) no-repeat center/cover;
  height: 43.625rem;
  max-width: 100%;
  color: white;
}

.app-section__button--our-culture {
  width: 9.375rem;
  height: 9.375rem;
  border-radius: 50%;
  margin: 4rem auto;
  padding: 0;
  font-size: 4rem;
}

/* Join Our Progrm Section */
.app-section--image-join {
  background: linear-gradient(
      to top,
      rgba(5, 17, 18, 0.5),
      rgba(5, 17, 18, 0.5)
    ),
    url(../assets/images/program_image.jpg) no-repeat center/cover;
  height: 27.25rem;
  max-width: 100%;
  color: white;
}

.app-section__paragraph {
  font-size: 1.5rem;
  line-height: 2rem;
  font-weight: 400;
  font-family: "Source Sans Pro", sans-serif, Arial;
  text-align: center;
}

.app-section__button--subscribe {
  border-radius: 1.625rem;
  font-size: 0.875rem;
  height: 2.875rem;
  letter-spacing: 1.2px;

  text-transform: uppercase;
  width: 8.4375rem;
}

.app-section__input--email {
  color: white;
  height: 2.25rem;
  border: none;
  width: 25rem;
  margin: 0 1rem;
  padding-left: 1.25rem;
  background-color: rgba(255, 255, 255, 0.15);
}

.app-section__input--email::placeholder {
  color: white;
  font-size: 0.875rem;
  line-height: 1.125rem;
  text-transform: uppercase;
}

.app-section__form {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.error-message {
  color: red;
  height: 2.25rem;
  border: none;
  width: 25rem;
  margin: 0 1rem;
  padding-left: 1.25rem;
  background-color: rgba(255, 255, 255, 0.15);
}

/* End of Join Our Program Section */
.app-footer {
  background-color: #3b3d40;
  color: white;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 0 0;
  grid-template-areas: "logo logo address address . . ." ". . email email rights rights rights";
  align-items: flex-start;
  padding: 2.625rem 8.75rem 0;
  min-height: 9.25rem;
}

.app-footer__logo {
  grid-area: logo;
  display: flex;
  align-items: center;
  text-transform: uppercase;
}

.app-footer__address {
  grid-area: address;
  color: rgba(255, 255, 255, 0.3);
}

.app-footer__email {
  grid-area: email;
  color: rgba(255, 255, 255, 0.3);
  text-decoration: none;
}

.app-footer__rights {
  grid-area: rights;
  justify-self: flex-end;
  color: rgba(255, 255, 255, 0.3);
  letter-spacing: 0.75px;
  margin: 0;
}

@media only screen and (max-width: 768px) {
  .app-header {
    grid-template-columns: 1fr 1fr;
    padding: 0 2rem;
  }
  .app-header__nav-menu-button {
    display: inline-block;
    justify-self: flex-end;
    align-self: flex-end;
  }
  .app-header__nav {
    display: none;
  }
  .app-section--image-peak {
    height: 40.5rem;
  }
  .app-section--image-culture {
    height: 43.625rem;
  }
  .app-section__button--our-culture {
    width: 4.375rem;
    height: 4.375rem;
    margin: 2rem auto;
    font-size: 2rem;
  }
  .app-section__article {
    grid-template-columns: 1fr;
    gap: 0 0;
    margin: 0 1rem;
  }
  .app-section__button--read-more {
    margin: 1.5rem auto 48px;
  }
  .app-footer {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(9, 1fr);
    grid-template-areas: "." "logo" "." "address" "address" "email" "." "." "rights";
    align-content: center;
    justify-content: center;
    padding: 0 2rem 0;
  }
  .app-footer__rights {
    justify-self: flex-start;
  }

  .app-section__form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}
